#! /bin/sh
### BEGIN INIT INFO
# Provides:		memcachedb
# Required-Start:	$local_fs $remote_fs $syslog
# Required-Stop:	$local_fs $remote_fs $syslog
# Default-Start:	2 3 4 5
# Default-Stop:		0 1 6
# Short-Description:	memcachedb - Persistent cache daemon
# Description:		memcachedb - Persistent cache daemon
### END INIT INFO


PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/bin/memcachedb
DAEMONBOOTSTRAP=/usr/share/memcachedb/start-memcachedb
NAME=memcachedb
DESC=memcachedb
PIDFILE=/var/run/$NAME.pid

test -x $DAEMON || exit 0
test -x $DAEMONBOOTSTRAP || exit 0

. /lib/lsb/init-functions

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: "
	start-stop-daemon --start --quiet --exec $DAEMONBOOTSTRAP
	echo "$NAME."
	;;
  stop)
	echo -n "Stopping $DESC: "
	start-stop-daemon --stop --retry 10 --quiet --oknodo --pidfile $PIDFILE --exec $DAEMON 
	echo "$NAME."
	rm -f $PIDFILE
	;;

  restart|force-reload)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart".
	#
	echo -n "Restarting $DESC: "
	start-stop-daemon --stop --retry 10 --quiet --oknodo --pidfile $PIDFILE --exec $DAEMON 
	rm -f $PIDFILE
	start-stop-daemon --start --quiet --exec $DAEMONBOOTSTRAP
	echo "$NAME."
	;;
  status)
	status_of_proc /usr/bin/$NAME $NAME
	;;
  *)
	N=/etc/init.d/$NAME
	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
	exit 1
	;;
esac

exit 0
